Subject: [MEXT] [WGLC] RFC 3775 bis / draft-ietf-mext-rfc3775bis

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 5 Aug 2009 08:19:55 -0700

Folks,

As discussed during the MEXT session in IETF-75 we're issuing a two weeks WGLC on RFC 3775 bis <http://tools.ietf.org/html/draft-ietf-mext-rfc3775bis-04> that will follow the two rules below:

- this WGLC is NOT intended for re-opening discussions on issues that were resolved during the revision process neither for bringing up new issues. 

- this WGLC is intended to be sanity check to see whether the various changes we agreed to made fit together. Editorial corrections are also welcome.

Please review the specification and post a message to the mailing list if you think the document is ready to be forwarded to IESG before 2009-08-15 6:00PM PST.

Thank you for your support.

--julien & Marcelo, MEXT chairs

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Fri, 14 Aug 2009 14:57:22 -0400

I reviewed the document. It is ready to be sent to the IESG. 

I have a couple of minor comments.

There are a few instances of "Section Section" in the document. I saw
them in sections 10.3.2, 11.3.6 and 11.5.2.

The following needs a re-write. 

   Binding Error

      The Binding Error is used by the correspondent node or the home
      agent to signal an error related to mobility, such as an
      inappropriate attempt to use the Home Address destination option
      without an existing binding, or when an unrecognized Mobility
      Header is received.

The HA sends a binding error to the mobile node only when it sees an
unrecognized Mobility Header Type. So I suggest re-writing it as

   Binding Error

      The Binding Error is used by the correspondent node to signal an 
      error related to mobility, such as an inappropriate attempt to use

      the Home Address destination option without an existing binding. 
      The Binding Error message is also used by the Home Agent to signal

      an error to the mobile node, when it receives an unrecognized 
      Mobility Header Message Type from the mobile node.

Vijay

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Laganier, Julien
> Sent: Wednesday, August 05, 2009 8:20 AM
> To: [email-masked]
> Subject: [MEXT] [WGLC] RFC 3775 bis / draft-ietf-mext-rfc3775bis
> 
> Folks,
> 
> As discussed during the MEXT session in IETF-75 we're issuing 
> a two weeks WGLC on RFC 3775 bis 
> <http://tools.ietf.org/html/draft-ietf-mext-rfc3775bis-04> 
> that will follow the two rules below:
> 
> - this WGLC is NOT intended for re-opening discussions on 
> issues that were resolved during the revision process neither 
> for bringing up new issues. 
> 
> - this WGLC is intended to be sanity check to see whether the 
> various changes we agreed to made fit together. Editorial 
> corrections are also welcome.
> 
> Please review the specification and post a message to the 
> mailing list if you think the document is ready to be 
> forwarded to IESG before 2009-08-15 6:00PM PST.
> 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
>

---

From: "Laganier, Julien" <[email-masked]>
Date: Fri, 21 Aug 2009 11:30:06 -0700

Greetings,

There was only one review of the draft RFC3775bis so far and we need more to send this document to IESG thus we decided to extend the WGLC.

Please review the specification and post a message to the mailing list if you think the document is ready to be forwarded to IESG before 2009-09-11 6:00PM EST.

--julien & marcelo, MEXT chairs

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Laganier, Julien
> As discussed during the MEXT session in IETF-75 we're issuing a two
> weeks WGLC on RFC 3775 bis <http://tools.ietf.org/html/draft-ietf-mext-
> rfc3775bis-04> that will follow the two rules below:
> 
> - this WGLC is NOT intended for re-opening discussions on issues that
> were resolved during the revision process neither for bringing up new
> issues.
> 
> - this WGLC is intended to be sanity check to see whether the various
> changes we agreed to made fit together. Editorial corrections are also
> welcome.
> 
> Please review the specification and post a message to the mailing list
> if you think the document is ready to be forwarded to IESG before 2009-
> 08-15 6:00PM PST.
>

---

From: Ryuji Wakikawa <[email-masked]>
Date: Fri, 21 Aug 2009 11:35:48 -0700

Hi Charlie and all

I reviewed this document and support the current version.
It's ready to be sent to IESG.

I have two minor comments.

- Section 6.4.1 in Page 59
We should remove the following sentence, since type 0 is deprecated  
RFC5095.
"If both a type 0 and a type 2 routing header are present, the type 2
    routing header should follow the other routing header.  A packet
    containing such nested encapsulation should be created as if the
    inner (type 2) routing header was constructed first and then treated
    as an original packet by the outer (type 0) routing header
    construction process."

- In Appendix A, A4 and A5 are outdated future things, they were  
solved by bootstraping RFCs!?

The next two comments have low priority, but they are just for better  
readability.

- Although there is the reference entry of RFC4225, it is not cited  
anywhere in the text body.
Should we refer to it somewhere in the text body? Maybe in section 5.2?

- 3.2 Mobile IPv6 Terms
There is RFC 3753 defining the same terms.
home address, home subnet prefix, mobile node, L2 handover, foreign  
subnet prefix, care-of address, home agent are defined in RFC3753
It's OK to me to keep the same terms here, but adding reference of  
rfc3753 may help readers.

regards,
ryuji

On 2009/08/05, at 8:19, Laganier, Julien wrote:

> weeks WGLC on RFC 3775 bis <http://tools.ietf.org/html/draft-ietf-mext-rfc3775bis-04 
> - this WGLC is NOT intended for re-opening discussions on issues  
> that were resolved during the revision process neither for bringing  
> up new issues.
>
> Please review the specification and post a message to the mailing  
> list if you think the document is ready to be forwarded to IESG  
> before 2009-08-15 6:00PM PST.
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 24 Aug 2009 11:30:37 +0200

I suggest the draft-3775bis to refer to RFC3963 in some way.

Alex

Laganier, Julien a écrit :
> Greetings,
> 
> There was only one review of the draft RFC3775bis so far and we need
> more to send this document to IESG thus we decided to extend the
> WGLC.
> 
> before 2009-09-11 6:00PM EST.
> 
>> -----Original Message----- From: [email-masked]
>> [mailto:[email-masked]] On Behalf Of Laganier, Julien Sent:
>> Wednesday, August 05, 2009 8:20 AM To: [email-masked] Subject:
>> [MEXT] [WGLC] RFC 3775 bis / draft-ietf-mext-rfc3775bis
>> 
>> Folks,
>> 
>>  weeks WGLC on RFC 3775 bis
>> <http://tools.ietf.org/html/draft-ietf-mext- rfc3775bis-04> that
>> will follow the two rules below:
>> 
>> before 2009- 08-15 6:00PM PST.
>> 
>> _______________________________________________ MEXT mailing list 
>> [email-masked] https://www.ietf.org/mailman/listinfo/mext
> _______________________________________________ MEXT mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/mext
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 24 Aug 2009 09:20:27 -0700

Hello Alex,

I took a look.  The only logical place would be in the
Introduction. 

We could replace:

>    o  Mobile routers.

by

>    o  Mobile routers.  But see RFC 3963.
>   

I don't think this is a very good idea.  We don't do that
for the other topics which aren't covered in RFC 3775.

Regards,
Charlie P.

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 24 Aug 2009 10:59:20 -0700

> solved by bootstraping RFCs!?

I agree. We should remove A4 and A5.

Vijay